Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

2.0.8

* Update fibers to version 0.6.7 (windows support)
* (Note that something with maintaining line numbers in source transformation looks off on Windows)
* Get rid of use of Fibers global variable per laverdet/node-fibers#72
  • Loading branch information...
commit b911c0948651a3be775c5ec662c7509796e8dfc8 1 parent d786c28
Chris Scribner authored
View
2  asyncblock.js
@@ -1,5 +1,3 @@
-require('fibers');
-
module.exports = require('./lib/asyncblock.js');
require('./lib/flow.js');
View
6 changelog
@@ -1,3 +1,9 @@
+2.0.8
+
+* Update fibers to version 0.6.7 (windows support)
+* (Note that something with maintaining line numbers in source transformation looks off on Windows)
+* Get rid of use of Fibers global variable per https://github.com/laverdet/node-fibers/issues/72
+
2.0.7
* Update fibers version to 0.6.5
View
1  lib/asyncblock.js
@@ -4,6 +4,7 @@
var Flow = require('./flow.js').Flow;
var enumerator = require('./enumerator.js');
var transform = require('./transform.js');
+var Fiber = require('fibers');
var asyncblock = function(fn, options) {
if(options == null){
View
1  lib/enumerator.js
@@ -1,3 +1,4 @@
+var Fiber = require('fibers');
var Flow = require('./flow.js').Flow;
var Enumerator = function(exec){
View
1  lib/flow.js
@@ -1,3 +1,4 @@
+var Fiber = require('fibers');
var events = require('events');
var util = require('util');
View
1  lib/wrap.js
@@ -1,5 +1,6 @@
var asyncblock = require('./asyncblock.js');
var Future = require('./future.js').Future;
+var Fiber = require('fibers');
asyncblock.wrap = function(obj){
if(!obj.__asyncblock_wrapper){
View
4 package.json
@@ -1,6 +1,6 @@
{
"name": "asyncblock",
- "version": "2.0.7",
+ "version": "2.0.8",
"description": "A simple and powerful abstraction of node-fibers",
"keywords": [
"fiber", "fibers", "coroutine", "stop", "go", "green", "red" ],
@@ -12,7 +12,7 @@
"url": "git://github.com/scriby/asyncblock.git"
},
"dependencies": {
- "fibers": "0.6.5",
+ "fibers": "0.6.7",
"uglify-js_scriby": "https://github.com/scriby/UglifyJS/tarball/1.2.5-6"
},
"devDependencies": {
View
3  run_hint.sh
@@ -42,8 +42,7 @@ fs.readdir(codeDir, function(err, list){
scripturl: true,
latedef: false,
loopfunc: true,
- proto: true,
- predef: { Fiber: true }
+ proto: true
};
asyncblock(function(flow){
Please sign in to comment.
Something went wrong with that request. Please try again.